# Create deal Endpoint: POST /api/external/v1/deal Version: v1.19 Security: oauth2 ## Request fields (application/json): - `buyerNetworkId` (string) - `contractId` (string) - `dealType` (string) Enum: "GUARANTEED", "NON_GUARANTEED" - `description` (string) - `endDate` (string) End date in YYYY-MM-DD format Example: "2025-02-01" - `externalDealId` (string) - `fixedPriceMicros` (integer) - `floorPriceMicros` (integer) - `impressionCommitment` (integer) - `linkedAppAdunits` (object) Map of linked app-adunits. The key is the app ID, value is an array of adunit codes Example: {"knx00111":[1001,1002],"knx00333":[1003]} - `linkedSitePlacements` (object) Map of linked site-placements. The key is the site ID, value is an array of placement IDs Example: {"knx00222":["956ef415200a491b","9f491f2239e74e36"],"knx00333":["c80604a283fa4250"]} - `name` (string) - `partnerId` (string) - `paused` (boolean) - `startDate` (string) Start date in YYYY-MM-DD format Example: "2025-01-01" ## Response 200 fields (application/json; charset=UTF-8): - `empty` (boolean) - `partialObject` (boolean)